gi-pango-1.0.19: Pango bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria (garetxe@gmail.com)
Safe Haskell | None
Language | Haskell2010

GI.Pango.Structs.AttrColor

Contents

- Exported types
- Properties
  - attr
  - color

Description

The `AttrColor` structure is used to represent attributes that are colors.

Synopsis

- newtype AttrColor = AttrColor (ManagedPtr AttrColor)
- newZeroAttrColor :: MonadIO m => m AttrColor
- noAttrColor :: Maybe AttrColor
- getAttrColorAttr :: MonadIO m => AttrColor -> m Attribute
- getAttrColorColor :: MonadIO m => AttrColor -> m Color

# Exported types

newtype AttrColor Source #

Memory-managed wrapper type.

Constructors

AttrColor (ManagedPtr AttrColor) |

Instances

WrappedPtr AttrColor Source # |
Instance details Defined in GI.Pango.Structs.AttrColor Methods wrappedPtrCalloc :: IO (Ptr AttrColor) Source # wrappedPtrCopy :: AttrColor -> IO AttrColor Source # wrappedPtrFree :: Maybe (FunPtr (Ptr AttrColor -> IO ())) Source #
tag ~ AttrSet => Constructible AttrColor tag Source # |
Instance details Defined in GI.Pango.Structs.AttrColor Methods new :: MonadIO m => (ManagedPtr AttrColor -> AttrColor) -> [AttrOp AttrColor tag] -> m AttrColor Source #

newZeroAttrColor :: MonadIO m => m AttrColor Source #

Construct a `AttrColor` struct initialized to zero.

noAttrColor :: Maybe AttrColor Source #

A convenience alias for `Nothing` :: `Maybe` `AttrColor`.

# Properties

## attr

the common portion of the attribute

getAttrColorAttr :: MonadIO m => AttrColor -> m Attribute Source #

Get the value of the “`attr`” field. When overloading is enabled, this is equivalent to

    get attrColor #attr

## color

the `Color` which is the value of the attribute

getAttrColorColor :: MonadIO m => AttrColor -> m Color Source #

Get the value of the “`color`” field. When overloading is enabled, this is equivalent to

    get attrColor #color